/*
 *	Copyright (C) 1998 Hajime Motizuki
 *				motizuki@jaist.ac.jp
 */

#include "mrpfil.h"

/* FORM COOPTION.H */
int calc_mode;
int N;
int debug;
int filtermode;
char   *hdl;
char *pname;
int ciw_sw;
int use_knp;
double max_score;
int compth;
/* FORM COOPTION.H */

#define XRHASHSIZE 17389
/*#define XRHASHSIZE 10000*/
struct xrlist {
	struct xrlist *next;
	char   *word;
	XRinfo *xri;
};

#define COHASHSIZE 148669
/*#define COHASHSIZE 10000*/
#define COHASHMAX  300000
#define JOUIVAL    1000000

struct colist {
	struct colist *next;
/*	char    *key;*/
	int     id1;
	int     id2;
	double   scr;
};

/*struct colist {
	struct colist *next;
	double   key;
	double   scr;
};*/

typedef struct _cluster {
	struct _cluster *next;
	CHAFLT_OUT      *elem;
} CLUSTER;

struct clusterbase {
	struct clusterbase *up;
	CLUSTER            *top;
	struct clusterbase *down;
};

struct cbh {
	struct clusterbase *bs;
	int    pos;
};

/* for text level clustering */
struct tcelist {  /* text clusters element list */
	struct tcelist *next;
	CLUSTER *top;
};

struct tcblist {  /* text clusters base list */
	struct tcblist *up;
	struct tcelist *top;
	struct tcelist *last;
	struct tcelist *old_last;
	int            check;
	struct tcblist *down;
};
/*
struct tcoscr {
	struct tcblist *tcb;
	CLUSTER        *sctop;
	double          scr;
};
*/
struct tcoscr {
	struct tcblist *tcb;
	struct clusterbase  *sctop;
	double          scr;
};

