/*
 * Copyright (c) 1998-2000,2001 Hajime Mochizuki <motizuki@jaist.ac.jp>
 *   Natural Language Processing Laboratory,
 *   Japan Advanced Institute of Science and Technology.
 *
 *
 * Use of this software is granted only for RESEARCH PURPOSES. 
 * Redistribution is granted as long as all copyright notices are retained.
 * Redistribution with modification is allowed provided that you make your 
 * modified version obviously distinguishable from the original one.  
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES ARE DISCLAIMED.
 *
 */

#ifndef __PATRASH_H_
#define __PATRASH_H_

#include <sys/types.h>  /* off_t */

#define PATRA_FILE_LEN 200
#define IDSMAX         10000

struct moto_cell {
	int  pos;
	int  ck;
	struct moto_cell *zero;
	struct moto_cell *one;
	char *term;
	int  file;
	off_t ptr;
};

struct patrash_array {
	int   pos;
	int   zero;
	int   one;
	off_t ptr;
};

#endif  /* __PATRASH_H_ */
