/*
 * chnfil.h
 *
 * Copyright (c) 2001 Hajime Mochizuki <motizuki@jaist.ac.jp>
 *   Natural Language Processing Laboratory,
 *   Japan Advanced Institute of Science and Technology.
 *
 *
 * Use of this software is granted only for RESEARCH PURPOSES. 
 * Redistribution is granted as long as all copyright notices are retained.
 * Redistribution with modification is allowed provided that you make your 
 * modified version obviously distinguishable from the original one.  
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES ARE DISCLAIMED.
 *
 *
 */
#ifndef CHNFIL_H
#define CHNFIL_H

#define CHNFIELDMAXLEN 50
#define CHNFIELDMAX    7
#define CHNTYPE_THESAURUS 0
#define CHNTYPE_COOCCURRENCE    1
#define CHNPOSTPMAXLEN 8
#define CHNPPWADD 5

/* PPWμǼѹ¤ */
struct chn_ana {
	double wgt;
	char pptype[CHNPOSTPMAXLEN];
	char ppword[CHNPOSTPMAXLEN];
};

struct ppw_rl {
	char word[30];
	int rule_ct;
	struct chn_ana *ca;
};


/* chainerϷǼե */
struct chn_entry {
	int sn, wn, wnum;
	char field[(CHNFIELDMAX-3)][CHNFIELDMAXLEN];
};

#endif
