/*
 *
 * Copyright (c) 1997-1999,2000,2001 Hajime Mochizuki <motizuki@jaist.ac.jp>
 *   Natural Language Processing Laboratory,
 *   Japan Advanced Institute of Science and Technology.
 *
 *
 * Use of this software is granted only for RESEARCH PURPOSES. 
 * Redistribution is granted as long as all copyright notices are retained.
 * Redistribution with modification is allowed provided that you make your 
 * modified version obviously distinguishable from the original one.  
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES ARE DISCLAIMED.
 *
 */

#ifndef _COSCR_H
#define _COSCR_H

#include <geta/config.h>
#include <geta/wam.h>

typedef struct _ids2coscr {
/*    char terms[2][100];*/
	symbol_t  df[3];
	symbol_t  numbers[2]; /* CHAFLT_OUT¤Τ i=0, j=1 */
	double scr;
} CO_SCR;

typedef struct _xrinfo {
/*	int       id;*/
/*	unsigned int       id;*/
	symbol_t id;                /*geta*/
	symbol_t *doc;
	ival_t  *tf;
	double  sqrsum;
	ival_t  nrecords;
} XRinfo;

struct _copair {
	int df[3];
	double scr;
};

#endif /* _COSCR_H */

