/*
 *
 * Copyright (c) 1998-2000,2001 Hajime Mochizuki <motizuki@jaist.ac.jp>
 *   Natural Language Processing Laboratory,
 *   Japan Advanced Institute of Science and Technology.
 *
 *
 * Use of this software is granted only for RESEARCH PURPOSES. 
 * Redistribution is granted as long as all copyright notices are retained.
 * Redistribution with modification is allowed provided that you make your 
 * modified version obviously distinguishable from the original one.  
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES ARE DISCLAIMED.
 *
 */
#ifndef MRPFIL_H
#define MRPFIL_H

#define  SNBET 10000

typedef struct chafltout {
	char *term; /* word */
	int   snum; /* sentence no */
	int   wnum; /* word no */
	int   realwn; /* -WץΤ */
/*    int   ptr[2]; */ /* ptr[0] = sentence, 1 = text; */
/*    int   number; */ /* sentence no * 10000+ word no */
	int   number; /* ñֹ̤ */
	char pp[10]; /* Ѹʤ */
	char ppbase[10]; /* ɽؾʤ ɲ version 1.5ʹ */
} CHAFLT_OUT;
    
/*static CHAFLT_OUT *chaflt_out;        */ /* ͭñ */


#define MORPHMAXLEN 50
#define MRPTYPE_CHASEN 0
#define MRPTYPE_KNP    1
#define MRPTYPE_JUMAN  2

#define PARTNUM 5
#define PARTNOUN 0
#define PARTADJ  1
#define PARTVERB 2
#define PARTUNKN 3
#define PARTPOST 4

#define MRULEADD 5
#define MORPHFIELDMAX 8

struct mrp_ana {
	char action[10];
	int fld[6];
	char words[6][MORPHMAXLEN];
};


struct part_rl {
	char word[30];
	int rule_ct;            /* 롼 = maΥȥ */
	struct mrp_ana *ma;
};

struct mrp_entry {
	char field[MORPHFIELDMAX][MORPHMAXLEN];
};


#endif
